// pages/login/login.js
import {
  login
} from '~/services/login/login';

Page({
  /**
   * 页面的初始数据
   */
  data: {
    back: true,
    bg_image: "",
    checked: true,
    code: ""
  },

  // 获取手机号
  getPhoneNumber(e) {
    let that = this
    if (e.detail.code) {
      let phoneCode = e.detail.code
      let data = {
        CustomerXcxOpenid: that.data.code,
        Code: phoneCode
      }

      // 登录请求
      login(data).then((res) => {
        if (res.data != null) {
          that.setData({
            back: false
          })
        }
      })
    } else {}
  },

  // 跳转到手机号登录
  gotoPhoneRegister() {
    wx.navigateTo({
      url: `/pages/login/phone-register/index`,
    });
  },

  // 选择是否已同意
  onChangeChecked() {
    this.setData({
      checked: !this.data.checked
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    let that = this
    // 获取OpenId
    wx.login({
      success(res) {
        that.setData({
          code: res.code
        })
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {
    let that = this
    if (that.data.back == true) {
      wx.reLaunch({
        url: '/pages/home/home'
      })
    }
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {},
});